/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.DataSeq;
import com.taais.biz.domain.vo.DataSeqVo;
import com.taais.biz.domain.bo.DataSeqBo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 数据管理Service接口
 *
 * @author wangkang
 * 2024-10-08
 */
public interface IDataSeqService extends IBaseService<DataSeq> {
    /**
     * 查询数据管理
     *
     * @param id 数据管理主键
     * @return 数据管理
     */
        DataSeqVo selectById(Long id);

    /**
     * 查询数据管理列表
     *
     * @param dataSeqBo 数据管理Bo
     * @return 数据管理集合
     */
    List<DataSeqVo> selectList(DataSeqBo dataSeqBo);

    /**
     * 分页查询数据管理列表
     *
     * @param dataSeqBo 数据管理Bo
     * @return 分页数据管理集合
     */
    PageResult<DataSeqVo> selectPage(DataSeqBo dataSeqBo);

    /**
     * 新增数据管理
     *
     * @param dataSeqBo 数据管理Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(DataSeqBo dataSeqBo);

    /**
     * 修改数据管理
     *
     * @param dataSeqBo 数据管理Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(DataSeqBo dataSeqBo);

    /**
     * 批量删除数据管理
     *
     * @param ids 需要删除的数据管理主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    List<String> getAllImages(Long inputOdssId);
    List<String> getImages(Long inputOdssId, String subsystem, Boolean ifInput, String dir);
}
